Package org.apache.wiki.rpc.atom

## Class AtomAPIServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.wiki.rpc.atom.AtomAPIServlet

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

    public class AtomAPIServlet
    extends javax.servlet.http.HttpServlet

Handles incoming requests for the Atom API. This class uses the "sandler" Atom API implementation.

Since:
  2.1.97
See Also:
  Serialized Form

### Constructor Summary

Constructors
`AtomAPIServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doDelete​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles HTTP GET.
`void` `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Implements the PostURI of the Atom spec.
`void` `doPut​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init​(javax.servlet.ServletConfig config)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doHead, doOptions, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtomAPIServlet

    public AtomAPIServlet()

### Method Detail

#### init

    public void init​(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Servlet`
Overrides:
  `init` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException`

#### doPost

    public void doPost​(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException

Implements the PostURI of the Atom spec.

Implementation notes:

- Only fetches the first content. All other contents are ignored.
- Assumes that incoming code is plain text or WikiMarkup, not html.

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`

#### doGet

    public void doGet​(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException

Handles HTTP GET. However, we do not respond to GET requests, other than to show an explanatory text.

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`

#### doDelete

    public void doDelete​(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)

Overrides:
  `doDelete` in class `javax.servlet.http.HttpServlet`

#### doPut

    public void doPut​(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)

Overrides:
  `doPut` in class `javax.servlet.http.HttpServlet`